SoilExtensionAddOn= {};

function SoilExtensionAddOn:loadWerte()
	SoilExtension.werte.optimal = {};
	SoilExtension.werte.verbrauch = {};
	SoilExtension.werte.pflugen = {};
	SoilExtension.werte.grubber = {};
	SoilExtension.werte.dungen = {};
	SoilExtension.werte.streuen = {};
	SoilExtension.werte.herbizid = {};
	SoilExtension.werte.herbizid.art = {};
	SoilExtension.werte.fruechte = {};
	SoilExtension.pflug = {};
	SoilExtension.grubbern = {};
	SoilExtension.ausbringen  = {};
	SoilExtension.schritte  = {};
	SoilExtension.days  = {};
	SoilExtension.days2  = {};
	
	SoilExtension.werte.optimal.ph = 6.8;
	SoilExtension.werte.optimal.water = 57;
	SoilExtension.werte.optimal.nWert = 5;
	SoilExtension.werte.optimal.pkWert = 4;
		
	SoilExtension.werte.verbrauch.wachstum = {};
	SoilExtension.werte.verbrauch.wachstum.stadium1 = {};
	SoilExtension.werte.verbrauch.wachstum.stadium1.nWert = -1;
	
	SoilExtension.werte.verbrauch.wachstum.stadium2 = {};
	SoilExtension.werte.verbrauch.wachstum.stadium2.nWert = -1;
	SoilExtension.werte.verbrauch.wachstum.stadium2.feuchte = -14;
	
	SoilExtension.werte.verbrauch.wachstum.stadium3 = {};
	SoilExtension.werte.verbrauch.wachstum.stadium3.nWert = -1;
	SoilExtension.werte.verbrauch.wachstum.stadium3.pkWert = -1;
	SoilExtension.werte.verbrauch.wachstum.stadium3.ph = -1;
	SoilExtension.werte.verbrauch.wachstum.stadium3.feuchte = -14;
	
	SoilExtension.werte.verbrauch.wachstum.stadium4 = {};
	SoilExtension.werte.verbrauch.wachstum.stadium4.nWert = -1;
	
	SoilExtension.werte.verbrauch.wachstum.stadium5 = {};
	SoilExtension.werte.verbrauch.wachstum.stadium5.nWert = -1;
	SoilExtension.werte.verbrauch.wachstum.stadium5.pkWert = -1;
	SoilExtension.werte.verbrauch.wachstum.stadium5.feuchte = -14;
	
	SoilExtension.werte.verbrauch.wachstum.stadium6 = {};
	SoilExtension.werte.verbrauch.wachstum.stadium6.nWert = -1;
	
	SoilExtension.werte.verbrauch.wachstum.stadium7 = {};
	SoilExtension.werte.verbrauch.wachstum.stadium7.nWert = -1;
	
	SoilExtension.werte.verbrauch.wachstum.unkraut = {};
	SoilExtension.werte.verbrauch.wachstum.unkraut.nWert = -1;
	SoilExtension.werte.verbrauch.wachstum.unkraut.feuchte = -14;
	
	SoilExtension.werte.pflugen = {};
	
	SoilExtension.werte.pflugen.pflanze = {};
	SoilExtension.werte.pflugen.pflanze.nWert = 5;
	SoilExtension.werte.pflugen.pflanze.pkWert = 1;
	
	SoilExtension.werte.pflugen.schwade = {};
	SoilExtension.werte.pflugen.schwade.nWert = 2;
	
	SoilExtension.werte.pflugen.stroh = {};
	SoilExtension.werte.pflugen.stroh.nWert = 1;
	SoilExtension.werte.pflugen.stroh.pkWert = 1;
	
	SoilExtension.werte.pflugen.mais = {};
	SoilExtension.werte.pflugen.mais.nWert = 2;
	SoilExtension.werte.pflugen.mais.pkWert = 2;
	
	SoilExtension.werte.pflugen.raps = {};
	SoilExtension.werte.pflugen.raps.nWert = 2;
	SoilExtension.werte.pflugen.raps.pkWert = 1;
	
	SoilExtension.werte.pflugen.kalk = {};
	SoilExtension.werte.pflugen.kalk.ph = 0.9;
	SoilExtension.werte.pflugen.kalk.feuchte = -14;
	
	SoilExtension.werte.pflugen.mist = {};
	SoilExtension.werte.pflugen.mist.nWert = 6;
	SoilExtension.werte.pflugen.mist.pkWert = 4;
	SoilExtension.werte.pflugen.mist.feuchte = -14;
	
	SoilExtension.werte.pflugen.gulle = {};
	SoilExtension.werte.pflugen.gulle.nWert = 3;
	
	SoilExtension.werte.pflugen.kompost = {};
	SoilExtension.werte.pflugen.kompost.nWert = 3;
	SoilExtension.werte.pflugen.kompost.pkWert = 2;
	SoilExtension.werte.pflugen.kompost.ph = 0.2;
	SoilExtension.werte.pflugen.kompost.feuchte = -14;
	
	SoilExtension.werte.grubber = {};
	
	SoilExtension.werte.grubber.pflanze = {};
	SoilExtension.werte.grubber.pflanze.nWert= 2;
	
	SoilExtension.werte.grubber.schwade = {};
	SoilExtension.werte.grubber.schwade.nWert= 1;
	
	SoilExtension.werte.grubber.stroh = {};
	SoilExtension.werte.grubber.stroh.nWert= 1;
	
	SoilExtension.werte.grubber.mais = {};
	SoilExtension.werte.grubber.mais.nWert= 1;
	
	SoilExtension.werte.grubber.raps = {};
	SoilExtension.werte.grubber.raps.nWert= 1;
	
	SoilExtension.werte.grubber.kalk = {};
	SoilExtension.werte.grubber.kalk.ph = 0.9;
	
	SoilExtension.werte.grubber.mist  = {};
	SoilExtension.werte.grubber.mist.nWert = 6;
	SoilExtension.werte.grubber.mist.pkWert = 2;
	
	SoilExtension.werte.grubber.gulle = {};
	SoilExtension.werte.grubber.gulle.nWert = 3;
	SoilExtension.werte.grubber.gulle.feuchte = 14;
	
	SoilExtension.werte.grubber.kompost = {};
	SoilExtension.werte.grubber.kompost.nWert = 1;
	SoilExtension.werte.grubber.kompost.pkWert = 1;
	
	SoilExtension.werte.dungen = {};
	
	SoilExtension.werte.dungen.npkDung = {};
	SoilExtension.werte.dungen.npkDung.nWert = 3;
	SoilExtension.werte.dungen.npkDung.pkWert = 1;
	SoilExtension.werte.dungen.npkDung.feuchte = 14;
	
	SoilExtension.werte.dungen.pkDung = {};
	SoilExtension.werte.dungen.pkDung.pkWert = 3;
	SoilExtension.werte.dungen.pkDung.feuchte = 14;
	
	SoilExtension.werte.dungen.nDung = {};
	SoilExtension.werte.dungen.nDung.nWert = 5;
	SoilExtension.werte.dungen.nDung.ph = -0.2;
	SoilExtension.werte.dungen.nDung.feuchte = 14;
		
	SoilExtension.werte.dungen.water = {};
	SoilExtension.werte.dungen.water.feuchte = 14;
	
	SoilExtension.werte.streuen = {};
		
	SoilExtension.werte.streuen.kalk = {};
	SoilExtension.werte.streuen.kalk.ph = 0.7;
	
	SoilExtension.werte.streuen.mist = {};
	SoilExtension.werte.streuen.mist.feuchte = 14;
	
	SoilExtension.werte.streuen.gulle = {};
	SoilExtension.werte.streuen.gulle.nWert = 3;
	SoilExtension.werte.streuen.gulle.feuchte = 14;
	
	SoilExtension.werte.streuen.kompost = {};
	SoilExtension.werte.streuen.kompost.feuchte = 14;
	
	SoilExtension.werte.herbizid.a = {};
	SoilExtension.werte.herbizid.b = {};
	SoilExtension.werte.herbizid.c = {};
	SoilExtension.werte.herbizid.x = {};
	
	SoilExtension.werte.herbizid.a.ph = -0.2;
	SoilExtension.werte.herbizid.a.feuchte = 14;
	
	SoilExtension.werte.herbizid.b.ph = -0.2;
	SoilExtension.werte.herbizid.b.feuchte = 14;
	
	SoilExtension.werte.herbizid.c.ph = -0.2;
	SoilExtension.werte.herbizid.c.feuchte = 14;
	
	SoilExtension.werte.herbizid.x.ph = -0.4;
	SoilExtension.werte.herbizid.x.feuchte = 14;
	
	SoilExtension.werte.herbizid.art.a = {"Raps", "Mais", "Kartoffeln", "Rüben", "Sojabohne", "Luzerne", "Klee", "OSR", "Sonnenblume"};
	SoilExtension.werte.herbizid.art.b = {"Weizen", "Gerste", "Kartoffeln", "Rüben", "Sojabohne", "Roggen", "Hafer", "Reis", "Sonnenblume"};
	SoilExtension.werte.herbizid.art.c = {"Weizen", "Gerste", "Raps", "Mais", "Luzerne", "Klee", "Roggen", "Hafer", "Reis", "OSR"};
	SoilExtension.werte.fruechte = {"Weizen", "Gerste", "Raps", "Mais", "Roggen", "Hafer", "Luzerne", "Klee", "Kartoffeln", "Rüben", "Sojabohne", "Sonnenblume", "Reis", "OSR"};
	SoilExtension.werte.fruechteDefault = "Frucht wählen";
	
	SoilExtension.pflug[0] = "hier klicken";
	SoilExtension.pflug[1] = "Kompost";
	SoilExtension.pflug[2] = "Mist";
	SoilExtension.pflug[3] = "Gülle";
	SoilExtension.pflug[4] = "Pflanzen";
	SoilExtension.pflug[5] = "Schwaden";
	SoilExtension.pflug[6] = "Stroh";
	SoilExtension.pflug[7] = "Maisreste";
	SoilExtension.pflug[8] = "Rapsreste";
	SoilExtension.pflug[9] = "Kalk";
	
	SoilExtension.grubbern[0] = "hier klicken";
	SoilExtension.grubbern[1] = "Kompost";
	SoilExtension.grubbern[2] = "Mist";
	SoilExtension.grubbern[3] = "Gülle";
	SoilExtension.grubbern[4] = "Pflanzen";
	SoilExtension.grubbern[5] = "Schwaden";
	SoilExtension.grubbern[6] = "Stroh";
	SoilExtension.grubbern[7] = "Maisreste";
	SoilExtension.grubbern[8] = "Rapsreste";
	SoilExtension.grubbern[9] = "Kalk";
	
	SoilExtension.ausbringen[0] = "hier klicken";
	SoilExtension.ausbringen[1] = "Kompost";
	SoilExtension.ausbringen[2] = "Mist";
	SoilExtension.ausbringen[3] = "Gülle";
	SoilExtension.ausbringen[4] = "Kalk";
	SoilExtension.ausbringen[5] = "Wasser";
	SoilExtension.ausbringen[6] = "N-Dünger (fl.)";
	SoilExtension.ausbringen[7] = "PK-Dünger (fl.)";
	SoilExtension.ausbringen[8] = "NPK-Dünger(fl.)";
	SoilExtension.ausbringen[9] = "Herbizid-A/AA";
	SoilExtension.ausbringen[10] = "Herbizid-B/BB";
	SoilExtension.ausbringen[11] = "Herbizid-C/CC";
	SoilExtension.ausbringen[12] = "Herbizid-X";
	SoilExtension.ausbringen[13] = "N-Dünger (fe.)";
	SoilExtension.ausbringen[14] = "PK-Dünger (fe.)";
	SoilExtension.ausbringen[15] = "NPK-Dünger(fe.)";
	
	SoilExtension.schritte[0] = ""
	SoilExtension.schritte[1] = "Pflügen"
	SoilExtension.schritte[2] = "Grubbern"
	SoilExtension.schritte[3] = "Ausbringen"
	SoilExtension.schritte[4] = "Ansähen"
	SoilExtension.schritte[5] = "pflanze1"
	SoilExtension.schritte[6] = "pflanze2"
	SoilExtension.schritte[7] = "pflanze3"
	SoilExtension.schritte[8] = "pflanze4_1"
	SoilExtension.schritte[9] = "pflanze4_2"
	SoilExtension.schritte[10] = "pflanze4_3"
	SoilExtension.schritte[11] = "pflanze5"
	SoilExtension.schritte[12] = "Ernten"
	SoilExtension.schritte[13] = "hier klicken"
	SoilExtension.schritte[14] = "nichts"
	
	SoilExtension.days[0] = "Sonntag";
	SoilExtension.days[1] = "Montag";
	SoilExtension.days[2] = "Dienstag";
	SoilExtension.days[3] = "Mittwoch";
	SoilExtension.days[4] = "Donnerstag";
	SoilExtension.days[5] = "Freitag";
	SoilExtension.days[6] = "Samstag";
	SoilExtension.days2 = {};
	SoilExtension.days2[0] = "So";
	SoilExtension.days2[1] = "Mo";
	SoilExtension.days2[2] = "Di";
	SoilExtension.days2[3] = "Mi";
	SoilExtension.days2[4] = "Do";
	SoilExtension.days2[5] = "Fr";
	SoilExtension.days2[6] = "Sa";
end;

function SoilExtensionAddOn:setKZ(i, lenght)
	print(i);
	local list = {};
	for j = 1, lenght do
		list[j] = false;
	end;
	list[i] = true;
	return list;
end;

function SoilExtensionAddOn:setOverlay(num, schritt)
	if schritt == 13 then
		if num < 7 then
			renderOverlay(FarmingTablet.overlay.hud_frage, 0.123+((num-1)*0.135), 0.567, 0.05, 0.1);
		else
			renderOverlay(FarmingTablet.overlay.hud_frage, 0.123+((num-7)*0.13), 0.332, 0.05, 0.1);
		end;
	elseif schritt == 1 then
		if num < 7 then
			renderOverlay(FarmingTablet.overlay.hud_pflug, 0.123+((num-1)*0.135), 0.561, 0.05, 0.1);
		
		end;
	elseif schritt == 2 then
		if num < 7 then
			renderOverlay(FarmingTablet.overlay.hud_grubber, 0.123+((num-1)*0.135), 0.561, 0.05, 0.1);
		end;
	elseif schritt == 3 then
		if num < 7 then
			renderOverlay(FarmingTablet.overlay.hud_ausbringen, 0.123+((num-1)*0.135), 0.561, 0.05, 0.1);
		else
			renderOverlay(FarmingTablet.overlay.hud_ausbringen, 0.123+((num-7)*0.13), 0.33, 0.05, 0.1);
		end;
	elseif schritt == 4 then
		if num < 7 then
			renderOverlay(FarmingTablet.overlay.hud_saehmaschine, 0.123+((num-1)*0.135), 0.561, 0.05, 0.1);
		end;
	elseif schritt == 5 then
		if num < 7 then
			renderOverlay(FarmingTablet.overlay.hud_pflanze1, 0.123+((num-1)*0.135), 0.556, 0.048, 0.09);
		else
			renderOverlay(FarmingTablet.overlay.hud_pflanze1, 0.123+((num-7)*0.13), 0.33, 0.048, 0.09);
		end;
	elseif schritt == 6 then
		if num < 7 then
			renderOverlay(FarmingTablet.overlay.hud_pflanze2, 0.123+((num-1)*0.135), 0.556, 0.048, 0.09);
		else
			renderOverlay(FarmingTablet.overlay.hud_pflanze2, 0.123+((num-7)*0.13), 0.33, 0.048, 0.09);
		end;
	elseif schritt == 7 then
		if num < 7 then
			renderOverlay(FarmingTablet.overlay.hud_pflanze3, 0.123+((num-1)*0.135), 0.556, 0.048, 0.09);
		else
			renderOverlay(FarmingTablet.overlay.hud_pflanze3, 0.123+((num-7)*0.13), 0.33, 0.048, 0.09);
		end;
	elseif schritt == 8 then
		if num < 7 then
			renderOverlay(FarmingTablet.overlay.hud_pflanze4, 0.123+((num-1)*0.135), 0.556, 0.048, 0.09);
		else
			renderOverlay(FarmingTablet.overlay.hud_pflanze4, 0.123+((num-7)*0.13), 0.33, 0.048, 0.09);
		end;
	elseif schritt == 9 then
		if num < 7 then
			renderOverlay(FarmingTablet.overlay.hud_pflanze4, 0.123+((num-1)*0.135), 0.556, 0.048, 0.09);
		else
			renderOverlay(FarmingTablet.overlay.hud_pflanze4, 0.123+((num-7)*0.13), 0.33, 0.048, 0.09);
		end;
	elseif schritt == 10 then
		if num < 7 then
			renderOverlay(FarmingTablet.overlay.hud_pflanze4, 0.123+((num-1)*0.135), 0.556, 0.048, 0.09);
		else
			renderOverlay(FarmingTablet.overlay.hud_pflanze4, 0.123+((num-7)*0.13), 0.33, 0.048, 0.09);
		end;
	end;
end;

function SoilExtensionAddOn:createField(i)
	g_currentMission.FarmingTablet.SoilExtension.daten.fields[i].frucht = SoilExtension.werte.fruechteDefault;
	g_currentMission.FarmingTablet.SoilExtension.daten.fields[i].startwerte = {};
	g_currentMission.FarmingTablet.SoilExtension.daten.fields[i].endwerte = {};
	g_currentMission.FarmingTablet.SoilExtension.daten.fields[i].wetter = {};
	g_currentMission.FarmingTablet.SoilExtension.daten.fields[i].schritte = {};
	g_currentMission.FarmingTablet.SoilExtension.daten.fields[i].schritte[1] = {};
	g_currentMission.FarmingTablet.SoilExtension.daten.fields[i].schritte[2] = {};
	g_currentMission.FarmingTablet.SoilExtension.daten.fields[i].schritte[3] = {};
	g_currentMission.FarmingTablet.SoilExtension.daten.fields[i].schritte[4] = {};
	g_currentMission.FarmingTablet.SoilExtension.daten.fields[i].schritte[5] = {};
	g_currentMission.FarmingTablet.SoilExtension.daten.fields[i].schritte[6] = {};
	g_currentMission.FarmingTablet.SoilExtension.daten.fields[i].schritte[7] = {};
	g_currentMission.FarmingTablet.SoilExtension.daten.fields[i].schritte[8] = {};
	g_currentMission.FarmingTablet.SoilExtension.daten.fields[i].schritte[9] = {};
	g_currentMission.FarmingTablet.SoilExtension.daten.fields[i].schritte[10] = {};
	
	g_currentMission.FarmingTablet.SoilExtension.daten.fields[i].startwerte.ph = SoilExtension.werte.optimal.ph;
	g_currentMission.FarmingTablet.SoilExtension.daten.fields[i].startwerte.feuchte = SoilExtension.werte.optimal.water;
	g_currentMission.FarmingTablet.SoilExtension.daten.fields[i].startwerte.nWert = SoilExtension.werte.optimal.nWert;
	g_currentMission.FarmingTablet.SoilExtension.daten.fields[i].startwerte.pkWert = SoilExtension.werte.optimal.pkWert;
	
	g_currentMission.FarmingTablet.SoilExtension.daten.fields[i].wetter.regenTage = 0;
	g_currentMission.FarmingTablet.SoilExtension.daten.fields[i].wetter.warm = 0;
	
	g_currentMission.FarmingTablet.SoilExtension.daten.fields[i].tag = g_currentMission.environment.currentDay;
	g_currentMission.FarmingTablet.SoilExtension.daten.fields[i].tage = 10;
	
	g_currentMission.FarmingTablet.SoilExtension.daten.fields[i].schritte[1].art = SoilExtension.schritte[13];
	g_currentMission.FarmingTablet.SoilExtension.daten.fields[i].schritte[2].art = SoilExtension.schritte[13];
	g_currentMission.FarmingTablet.SoilExtension.daten.fields[i].schritte[3].art = SoilExtension.schritte[13];
	g_currentMission.FarmingTablet.SoilExtension.daten.fields[i].schritte[4].art = SoilExtension.schritte[4];
	g_currentMission.FarmingTablet.SoilExtension.daten.fields[i].schritte[5].art = SoilExtension.schritte[13];
	g_currentMission.FarmingTablet.SoilExtension.daten.fields[i].schritte[6].art = SoilExtension.schritte[13];
	g_currentMission.FarmingTablet.SoilExtension.daten.fields[i].schritte[7].art = SoilExtension.schritte[13];
	g_currentMission.FarmingTablet.SoilExtension.daten.fields[i].schritte[8].art = SoilExtension.schritte[13];
	g_currentMission.FarmingTablet.SoilExtension.daten.fields[i].schritte[9].art = SoilExtension.schritte[13];
	g_currentMission.FarmingTablet.SoilExtension.daten.fields[i].schritte[10].art = SoilExtension.schritte[13];
	g_currentMission.FarmingTablet.SoilExtension.daten.fields[i].schritte[1].pic = SoilExtension.schritte[13];
	g_currentMission.FarmingTablet.SoilExtension.daten.fields[i].schritte[2].pic = SoilExtension.schritte[13];
	g_currentMission.FarmingTablet.SoilExtension.daten.fields[i].schritte[3].pic = SoilExtension.schritte[13];
	g_currentMission.FarmingTablet.SoilExtension.daten.fields[i].schritte[4].pic = SoilExtension.schritte[4];
	g_currentMission.FarmingTablet.SoilExtension.daten.fields[i].schritte[5].pic = SoilExtension.schritte[5];
	g_currentMission.FarmingTablet.SoilExtension.daten.fields[i].schritte[6].pic = SoilExtension.schritte[6];
	g_currentMission.FarmingTablet.SoilExtension.daten.fields[i].schritte[7].pic = SoilExtension.schritte[7];
	g_currentMission.FarmingTablet.SoilExtension.daten.fields[i].schritte[8].pic = SoilExtension.schritte[8];
	g_currentMission.FarmingTablet.SoilExtension.daten.fields[i].schritte[9].pic = SoilExtension.schritte[9];
	g_currentMission.FarmingTablet.SoilExtension.daten.fields[i].schritte[10].pic = SoilExtension.schritte[10];
	g_currentMission.FarmingTablet.SoilExtension.daten.fields[i].schritte[1].mittel= SoilExtension.schritte[13];
	g_currentMission.FarmingTablet.SoilExtension.daten.fields[i].schritte[2].mittel= SoilExtension.schritte[13];
	g_currentMission.FarmingTablet.SoilExtension.daten.fields[i].schritte[3].mittel= SoilExtension.schritte[13];
	g_currentMission.FarmingTablet.SoilExtension.daten.fields[i].schritte[4].mittel= SoilExtension.schritte[13];
	g_currentMission.FarmingTablet.SoilExtension.daten.fields[i].schritte[5].mittel= SoilExtension.schritte[13];
	g_currentMission.FarmingTablet.SoilExtension.daten.fields[i].schritte[6].mittel= SoilExtension.schritte[13];
	g_currentMission.FarmingTablet.SoilExtension.daten.fields[i].schritte[7].mittel= SoilExtension.schritte[13];
	g_currentMission.FarmingTablet.SoilExtension.daten.fields[i].schritte[8].mittel= SoilExtension.schritte[13];
	g_currentMission.FarmingTablet.SoilExtension.daten.fields[i].schritte[9].mittel= SoilExtension.schritte[13];
	g_currentMission.FarmingTablet.SoilExtension.daten.fields[i].schritte[10].mittel= SoilExtension.schritte[13];
end;

function SoilExtensionAddOn:countAusbringen(mittel, ph, feuchte, nWert, pkWert)
	local endWerte = {};
	endWerte.ph = ph;
	endWerte.feuchte = feuchte;
	endWerte.nWert = nWert;
	endWerte.pkWert = pkWert;
	
	if mittel == SoilExtension.ausbringen[1] then
		endWerte.feuchte = endWerte.feuchte + SoilExtension.werte.streuen.kompost.feuchte;
	elseif mittel == SoilExtension.ausbringen[2] then
		endWerte.feuchte = endWerte.feuchte + SoilExtension.werte.streuen.mist.feuchte;
	elseif mittel == SoilExtension.ausbringen[3] then
		endWerte.feuchte = endWerte.feuchte + SoilExtension.werte.streuen.gulle.feuchte;
		endWerte.nWert = endWerte.nWert + SoilExtension.werte.streuen.gulle.nWert;
	elseif mittel == SoilExtension.ausbringen[4] then
		endWerte.ph = endWerte.ph + SoilExtension.werte.streuen.kalk.ph;
	elseif mittel == SoilExtension.ausbringen[5] then
		endWerte.feuchte = endWerte.feuchte + SoilExtension.werte.dungen.water.feuchte;
	elseif mittel == SoilExtension.ausbringen[6] then
		endWerte.feuchte = endWerte.feuchte + SoilExtension.werte.dungen.nDung.feuchte;
		endWerte.nWert = endWerte.nWert + SoilExtension.werte.dungen.nDung.nWert;
		endWerte.ph = endWerte.ph + SoilExtension.werte.dungen.nDung.ph ;
	elseif mittel == SoilExtension.ausbringen[7] then
		endWerte.feuchte = endWerte.feuchte + SoilExtension.werte.dungen.pkDung.feuchte ;
		endWerte.pkWert = endWerte.pkWert + SoilExtension.werte.dungen.pkDung.pkWert ;
	elseif mittel == SoilExtension.ausbringen[8] then
		endWerte.feuchte = endWerte.feuchte + SoilExtension.werte.dungen.npkDung.feuchte ;
		endWerte.pkWert = endWerte.pkWert + SoilExtension.werte.dungen.npkDung.pkWert ;
		endWerte.nWert = endWerte.nWert + SoilExtension.werte.dungen.npkDung.nWert ;
	elseif mittel == SoilExtension.ausbringen[9] then
		endWerte.ph = endWerte.ph - 0.2;
		endWerte.feuchte = endWerte.feuchte + SoilExtension.werte.herbizid.a.feuchte;
	elseif mittel == SoilExtension.ausbringen[10] then
		endWerte.ph = endWerte.ph - 0.2;
		endWerte.feuchte = endWerte.feuchte + SoilExtension.werte.herbizid.b.feuchte;
	elseif mittel == SoilExtension.ausbringen[11] then
		endWerte.ph = endWerte.ph - 0.2;
		endWerte.feuchte = endWerte.feuchte + SoilExtension.werte.herbizid.c.feuchte;
	elseif mittel == SoilExtension.ausbringen[12] then
		endWerte.ph = endWerte.ph - 0.2;
		endWerte.feuchte = endWerte.feuchte + SoilExtension.werte.herbizid.x.feuchte;
	elseif mittel == SoilExtension.ausbringen[13] then
		endWerte.nWert = endWerte.nWert + SoilExtension.werte.dungen.nDung.nWert;
		endWerte.ph = endWerte.ph + SoilExtension.werte.dungen.nDung.ph;
	elseif mittel == SoilExtension.ausbringen[14] then
		endWerte.pkWert = endWerte.pkWert + SoilExtension.werte.dungen.pkDung.pkWert ;
	elseif mittel == SoilExtension.ausbringen[15] then
		endWerte.pkWert = endWerte.pkWert + SoilExtension.werte.dungen.npkDung.pkWert ;
		endWerte.nWert = endWerte.nWert + SoilExtension.werte.dungen.npkDung.nWert ;
	end;
	return endWerte;
end;

function SoilExtensionAddOn:countPfluegen(mittel, ph, feuchte, nWert, pkWert)
	local endWerte = {};
	endWerte.ph = ph;
	endWerte.feuchte = feuchte;
	endWerte.nWert = nWert;
	endWerte.pkWert = pkWert;
	if mittel == SoilExtension.pflug[1] then
		endWerte.ph = endWerte.ph + SoilExtension.werte.pflugen.kompost.ph;
		endWerte.feuchte = endWerte.feuchte + SoilExtension.werte.pflugen.kompost.feuchte;
		endWerte.nWert = endWerte.nWert + SoilExtension.werte.pflugen.kompost.nWert;
		endWerte.pkWert = endWerte.pkWert + SoilExtension.werte.pflugen.kompost.pkWert;
	elseif mittel == SoilExtension.pflug[2] then
		endWerte.nWert = endWerte.nWert + SoilExtension.werte.pflugen.mist.nWert;
		endWerte.pkWert = endWerte.pkWert + SoilExtension.werte.pflugen.mist.pkWert;
		endWerte.feuchte = endWerte.feuchte + SoilExtension.werte.pflugen.mist.feuchte;
	elseif mittel == SoilExtension.pflug[3] then
		endWerte.nWert = endWerte.nWert + SoilExtension.werte.pflugen.gulle.nWert;
	elseif mittel == SoilExtension.pflug[4] then
		endWerte.nWert = endWerte.nWert +SoilExtension.werte.pflugen.pflanze.nWert;
		endWerte.pkWert = endWerte.pkWert + SoilExtension.werte.pflugen.pflanze.pkWert;
	elseif mittel == SoilExtension.pflug[5] then
		endWerte.nWert = endWerte.nWert + SoilExtension.werte.pflugen.schwade.nWert;
	elseif mittel == SoilExtension.pflug[6] then
		endWerte.nWert = endWerte.nWert + SoilExtension.werte.pflugen.stroh.nWert;
		endWerte.pkWert = endWerte.pkWert + SoilExtension.werte.pflugen.stroh.pkWert;
	elseif mittel == SoilExtension.pflug[7] then
		endWerte.nWert = endWerte.nWert + SoilExtension.werte.pflugen.mais.nWert;
		endWerte.pkWert = endWerte.pkWert + SoilExtension.werte.pflugen.mais.pkWert;
	elseif mittel == SoilExtension.pflug[8] then
		endWerte.nWert = endWerte.nWert + SoilExtension.werte.pflugen.raps.nWert;
		endWerte.pkWert = endWerte.pkWert + SoilExtension.werte.pflugen.raps.pkWert;
	elseif mittel == SoilExtension.pflug[9] then
		endWerte.ph = endWerte.ph + SoilExtension.werte.pflugen.kalk.ph;
		endWerte.feuchte = endWerte.feuchte + SoilExtension.werte.pflugen.kalk.feuchte;
	end;
	return endWerte;
end;

function SoilExtensionAddOn:countGrubbern(mittel, ph, feuchte, nWert, pkWert)
	local endWerte = {};
	endWerte.ph = ph;
	endWerte.feuchte = feuchte;
	endWerte.nWert = nWert;
	endWerte.pkWert = pkWert;
	
	if mittel == SoilExtension.grubbern[1] then
		endWerte.nWert = endWerte.nWert + SoilExtension.werte.grubber.kompost.nWert;
		endWerte.pkWert = endWerte.pkWert + SoilExtension.werte.grubber.kompost.pkWert;
	elseif mittel == SoilExtension.grubbern[2] then
		endWerte.nWert = endWerte.nWert + SoilExtension.werte.grubber.mist.nWert;
		endWerte.pkWert = endWerte.pkWert + SoilExtension.werte.grubber.mist.pkWert;
	elseif mittel == SoilExtension.grubbern[3] then
		endWerte.nWert = endWerte.nWert + SoilExtension.werte.grubber.gulle.nWert;
		endWerte.feuchte = endWerte.feuchte + SoilExtension.werte.grubber.gulle.feuchte;
	elseif mittel == SoilExtension.grubbern[4] then
		endWerte.nWert = endWerte.nWert +SoilExtension.werte.grubber.pflanze.nWert;
	elseif mittel == SoilExtension.grubbern[5] then
		endWerte.nWert = endWerte.nWert + SoilExtension.werte.grubber.schwade.nWert;
	elseif mittel == SoilExtension.grubbern[6] then
		endWerte.nWert = endWerte.nWert + SoilExtension.werte.grubber.stroh.nWert;
	elseif mittel == SoilExtension.grubbern[7] then
		endWerte.nWert = endWerte.nWert + SoilExtension.werte.grubber.mais.nWert;
	elseif mittel == SoilExtension.grubbern[8] then
		endWerte.nWert = endWerte.nWert + SoilExtension.werte.grubber.raps.nWert;
	elseif mittel == SoilExtension.grubbern[9] then
		endWerte.ph = endWerte.ph + SoilExtension.werte.grubber.kalk.ph;
	end;
	return endWerte;
end;